pcl::poisson::VertexData Class Reference

`#include <pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h>`

## Static Public Member Functions

static long long | EdgeIndex (const TreeOctNode *node, int eIndex, int maxDepth, int index[DIMENSION])
static long long | EdgeIndex (const TreeOctNode *node, int eIndex, int maxDepth)
static long long | FaceIndex (const TreeOctNode *node, int fIndex, int maxDepth, int index[DIMENSION])
static long long | FaceIndex (const TreeOctNode *node, int fIndex, int maxDepth)
static long long | CornerIndex (int depth, const int offSet[DIMENSION], int cIndex, int maxDepth, int index[DIMENSION])
static long long | CornerIndex (const TreeOctNode *node, int cIndex, int maxDepth, int index[DIMENSION])
static long long | CornerIndex (const TreeOctNode *node, int cIndex, int maxDepth)
static long long | CenterIndex (int depth, const int offSet[DIMENSION], int maxDepth, int index[DIMENSION])
static long long | CenterIndex (const TreeOctNode *node, int maxDepth, int index[DIMENSION])
static long long | CenterIndex (const TreeOctNode *node, int maxDepth)
static long long | CornerIndexKey (const int index[DIMENSION])

## Detailed Description

Definition at line 99 of file multi_grid_octree_data.h.

## Member Function Documentation

long long pcl::poisson::VertexData::CenterIndex | ( | int | depth,
|  | const int | offSet[DIMENSION],
|  | int | maxDepth,
|  | int | index[DIMENSION]
| ) |  |

static

Definition at line 3846 of file multi_grid_octree_data.hpp.

long long pcl::poisson::VertexData::CenterIndex | ( | const TreeOctNode * | node,
|  | int | maxDepth,
|  | int | index[DIMENSION]
| ) |  |

static

Definition at line 3840 of file multi_grid_octree_data.hpp.

References pcl::poisson::OctNode< NodeData, Real >::depthAndOffset().

long long pcl::poisson::VertexData::CenterIndex | ( | const TreeOctNode * | node,
|  | int | maxDepth
| ) |  |

static

Definition at line 3836 of file multi_grid_octree_data.hpp.

long long pcl::poisson::VertexData::CornerIndex | ( | int | depth,
|  | const int | offSet[DIMENSION],
|  | int | cIndex,
|  | int | maxDepth,
|  | int | index[DIMENSION]
| ) |  |

static

Definition at line 3863 of file multi_grid_octree_data.hpp.

long long pcl::poisson::VertexData::CornerIndex | ( | const TreeOctNode * | node,
|  | int | cIndex,
|  | int | maxDepth,
|  | int | index[DIMENSION]
| ) |  |

static

Definition at line 3854 of file multi_grid_octree_data.hpp.

References pcl::poisson::OctNode< NodeData, Real >::depthAndOffset().

long long pcl::poisson::VertexData::CornerIndex | ( | const TreeOctNode * | node,
|  | int | cIndex,
|  | int | maxDepth
| ) |  |

static

Definition at line 3850 of file multi_grid_octree_data.hpp.

long long pcl::poisson::VertexData::CornerIndexKey | ( | const int | index[DIMENSION] | ) |

static

Definition at line 3870 of file multi_grid_octree_data.hpp.

long long pcl::poisson::VertexData::EdgeIndex | ( | const TreeOctNode * | node,
|  | int | eIndex,
|  | int | maxDepth,
|  | int | index[DIMENSION]
| ) |  |

static

Definition at line 3891 of file multi_grid_octree_data.hpp.

References pcl::poisson::OctNode< NodeData, Real >::depthAndOffset().

long long pcl::poisson::VertexData::EdgeIndex | ( | const TreeOctNode * | node,
|  | int | eIndex,
|  | int | maxDepth
| ) |  |

static

Definition at line 3887 of file multi_grid_octree_data.hpp.

long long pcl::poisson::VertexData::FaceIndex | ( | const TreeOctNode * | node,
|  | int | fIndex,
|  | int | maxDepth,
|  | int | index[DIMENSION]
| ) |  |

static

Definition at line 3878 of file multi_grid_octree_data.hpp.

References pcl::poisson::OctNode< NodeData, Real >::depthAndOffset().

long long pcl::poisson::VertexData::FaceIndex | ( | const TreeOctNode * | node,
|  | int | fIndex,
|  | int | maxDepth
| ) |  |

static

Definition at line 3874 of file multi_grid_octree_data.hpp.

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h
- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/multi_grid_octree_data.hpp